summaryrefslogtreecommitdiffstats
path: root/resources
diff options
context:
space:
mode:
authorPaul Koenig <paukoen@gmail.com>2016-06-05 02:29:40 (EDT)
committer Leah Rowe <info@minifree.org>2016-07-16 13:42:19 (EDT)
commit2064e4380273acd424fb4cde4a0657d2e3f809fa (patch)
treec84ce95e806111d024abc1093a2ba9f41e20395c /resources
parent7aa77afe0bf8ee3849ed8d9c7f6482face022b6b (diff)
downloadlibreboot-2064e4380273acd424fb4cde4a0657d2e3f809fa.zip
libreboot-2064e4380273acd424fb4cde4a0657d2e3f809fa.tar.gz
libreboot-2064e4380273acd424fb4cde4a0657d2e3f809fa.tar.bz2
docs: build scripts rewrite
".master" script in resources/scripts/helpers/build/docs Adds option to build html for libreboot website with "./build docs <html-type> w" Converts jpegs to eps for dvi and ps output, if these formats are built, using imagemagick. Archives resources (images) with compressed html manuals.
Diffstat (limited to 'resources')
-rwxr-xr-xresources/scripts/helpers/build/docs/.master275
-rwxr-xr-xresources/scripts/helpers/build/docs/alldocs29
-rwxr-xr-xresources/scripts/helpers/build/docs/clean7
-rwxr-xr-xresources/scripts/helpers/build/docs/dvi23
-rwxr-xr-xresources/scripts/helpers/build/docs/html25
-rwxr-xr-xresources/scripts/helpers/build/docs/html-by-section23
-rwxr-xr-xresources/scripts/helpers/build/docs/html-one-page20
-rwxr-xr-xresources/scripts/helpers/build/docs/index133
-rwxr-xr-xresources/scripts/helpers/build/docs/info22
-rwxr-xr-xresources/scripts/helpers/build/docs/pdf22
-rwxr-xr-xresources/scripts/helpers/build/docs/plaintext19
-rwxr-xr-xresources/scripts/helpers/build/docs/postscript21
-rwxr-xr-xresources/scripts/helpers/build/docs/texinfo-gz14
13 files changed, 284 insertions, 349 deletions
diff --git a/resources/scripts/helpers/build/docs/.master b/resources/scripts/helpers/build/docs/.master
new file mode 100755
index 0000000..4c86135
--- /dev/null
+++ b/resources/scripts/helpers/build/docs/.master
@@ -0,0 +1,275 @@
+#!/bin/bash -e
+#
+# Libreboot documentation build script
+
+# The function index() borrows from gendocs.sh, part of gnulib, the
+# GNU Portability Library (https://www.gnu.org/software/gnulib/). The
+# objective is to generate a html document which indexes the libreboot
+# documentation in its various formats.
+#
+# index() does not assume a certain set of formats have been
+# generated. It generates the index based on which files are located
+# in $man_dir.
+
+# INITIALIZATION #
+##################
+
+# Initialization for manual directory
+[ -d docs/manual ] || mkdir docs/manual
+
+# Initialization for building manuals
+pkgname="libreboot"
+name=$(basename $1) # Always defined; users do not execute directly
+constants="docs/constants.texi"
+man_dir="docs/manual/"
+texinfo_src="docs/libreboot.texi"
+resources_dir="docs/resources" # for including in html tar.gz
+css_path="" # TODO: add css?
+
+# Default variables
+prefix="resources/"
+preprefix="../"
+make_cmd="makeinfo"
+comp_cmd="gzip -f -9 -c"
+c_ext=".gz"
+meta_type="man"
+type="reg"
+is_html="no"
+make_opts=""
+use_install=""
+
+# Initialization for generating eps images
+images_path="docs/resources/images"
+
+# Initialization for making index.html
+template_dir="docs/templates/"
+pkg_title="GNU Libreboot manual"
+pkg_email="example@libreboot.org" # sample
+pkg_name="libreboot"
+cur_date=`date '+%B %d, %Y'`
+
+# In case users try to build more than one format at once.
+if [ $# -gt 2 ]; then
+ echo "ERROR: Only one docs format can be built at once."
+ exit 1
+fi
+
+case "$2" in
+ "w")
+ meta_type="web";;
+ "")
+ :;; # This is the normal usage case
+ *)
+ echo "ERROR: Only one docs format can be built at once."
+ echo "If you are building html files for the libreboot website, use:"
+ echo "\$ ./build docs <html-type> w"
+ exit 1;;
+esac
+
+### FUNCTIONS ####
+##################
+
+set_constants()
+{
+ echo "@set docsdir $1" > $constants
+ echo "@set useinstall $2" >> $constants
+}
+
+check_eps()
+{
+ printf "INFO: Checking if jpgs have been converted to eps... "
+ for i in $(find $images_path); do
+ tdir_name=$(dirname $i)
+ tfile_name=$(basename ${i,,})
+ tfile_ext=${tfile_name##*.}
+ tfile_base=$(basename -s .jpg ${i,,})
+
+ if [ $tfile_ext = "jpg" ] && [ ! -e "${tdir_name}/${tfile_base}.eps" ]; then
+ printf "converting ${i} >>>\n ${tdir_name}/${tfile_base}.eps ...\n\n"
+ convert $i eps2:${tdir_name}/${tfile_base}.eps # using eps2 reduces file size
+ fi
+ done
+ printf "Done.\n"
+}
+
+# FUNCTION COPIED FROM gendocs.sh
+# Return size of $1 in something resembling kilobytes.
+calcsize()
+{
+ size=`ls -ksl $1 | awk '{print $1}'`
+ echo $size
+}
+
+# Concatenation function called by index
+concat_index()
+{
+ if [ -e $man_dir$1 ]; then
+ if [ -d $man_dir$1 ]; then
+ echo "<li><a href=\"$1/index.html\">$2</a>$3</li>" >> "${man_dir}index.html"
+ else
+ echo "<li><a href=\"$1\">$2</a>$3</li>" >> "${man_dir}index.html"
+ fi
+ fi
+}
+
+# Main index function
+build_index()
+{
+ sed \
+ -e "s!%%TITLE%%!$pkg_title!g" \
+ -e "s!%%PACKAGE%%!$pkg_name!g" \
+ -e "s!%%DATE%%!$cur_date!g" \
+ ${template_dir}gendocs_template_header >"${man_dir}index.html"
+
+ for i in $(ls $man_dir); do
+ [ -d $man_dir$i ] || size=`calcsize "${man_dir}${i}"`
+ case $i in
+ ${pkg_name}.dvi.gz)
+ dvi_gz_size=$size;;
+ ${pkg_name}_by-node.tar.gz)
+ html_node_tgz_size=$size;;
+ ${pkg_name}_by-section.tar.gz)
+ html_section_tgz_size=$size;;
+ ${pkg_name}_one-page.html)
+ html_mono_size=$size;;
+ ${pkg_name}_one-page.tar.gz)
+ html_mono_gz_size=$size;;
+ ${pkg_name}.info.gz)
+ info_gz_size=$size;;
+ ${pkg_name}.pdf)
+ pdf_size=$size;;
+ ${pkg_name}.pdf.gz)
+ pdf_gz_size=$size;;
+ ${pkg_name}.ps.gz)
+ ps_gz_size=$size;;
+ ${pkg_name}.txt)
+ plaintext_size=$size;;
+ ${pkg_name}.txt.gz)
+ plaintext_gz_size=$size;;
+ ${pkg_name}.texi.gz)
+ texinfo_gz_size=$size;;
+ *)
+ :;;
+ esac
+ done
+
+ concat_index "${pkg_name}_one-page.html" "HTML (${html_mono_size}K bytes)" " - entirely on one web page."
+ concat_index "${pkg_name}_by-node" "HTML" " - with one web page per node."
+ concat_index "${pkg_name}_by-section" "HTML" " - with one web page per section."
+ concat_index "${pkg_name}_one-page.tar.gz" "HTML compressed (${html_mono_gz_size}K gzipped tar file)" " - entirely on one web page."
+ concat_index "${pkg_name}_by-node.tar.gz" "HTML compressed (${html_node_tgz_size}K gzipped tar file)" " - with one web page per node."
+ concat_index "${pkg_name}_by-section.tar.gz" "HTML compressed (${html_section_tgz_size}K gzipped tar file)" " - with one web page per section."
+ concat_index "${pkg_name}.info.gz" "Info document (${info_gz_size}K bytes gzipped)."
+ concat_index "${pkg_name}.txt" "ASCII text (${plaintext_size}K bytes)."
+ concat_index "${pkg_name}.txt.gz" "ASCII text compressed (${plaintext_gz_size}K bytes gzipped)."
+ concat_index "${pkg_name}.dvi.gz" "TeX dvi file (${dvi_gz_size}K bytes gzipped)."
+ concat_index "${pkg_name}.pdf" "PDF file (${pdf_size}K bytes)."
+ concat_index "${pkg_name}.pdf.gz" "PDF file compressed (${pdf_gz_size}K bytes gzipped)."
+ concat_index "${pkg_name}.ps.gz" "Postscript file compressed (${ps_gz_size}K bytes gzipped)."
+ concat_index "${pkg_name}.texi.gz" "Texinfo source (${texinfo_gz_size}K bytes gzipped)."
+
+ sed -e "s!%%EMAIL%%!$pkg_email!g" ${template_dir}gendocs_template_footer >>"$man_dir/index.html"
+}
+
+#### OPTIONS #####
+##################
+
+# options to makeinfo/texi2dvi and file names
+case "$name" in
+ "dvi")
+ check_eps
+ make_opts="-q -c -e -o"
+ type="tex"
+ basefile="${pkgname}.dvi";;
+ "html")
+ type="dir"
+ is_html="yes"
+ make_opts="--html --no-warn --split=node --css-include=$css_path -o"
+ basefile="${pkgname}_by-node";;
+ "html-by-section")
+ type="dir"
+ is_html="yes"
+ make_opts="--html --no-warn --split=section --css-include=$css_path -o"
+ basefile="${pkgname}_by-section";;
+ "html-one-page")
+ is_html="yes"
+ make_opts="--html --no-warn --no-split --css-include=$css_path -o"
+ basefile="${pkgname}_one-page.html";;
+ "info")
+ make_opts="--no-warn --no-split -o"
+ basefile="${pkgname}.info";;
+ "pdf")
+ type="tex"
+ make_opts="-q -c -e -p -o"
+ basefile="${pkgname}.pdf";;
+ "plaintext")
+ make_opts="--no-warn --no-split --plaintext -o"
+ basefile="${pkgname}.txt";;
+ "postscript")
+ check_eps
+ make_opts="-q -c -e --ps -o"
+ type="tex"
+ basefile="${pkgname}.ps";;
+ "texinfo-gz")
+ basefile="${pkgname}.texi"
+ type="texi";;
+esac
+
+# split html and pdf/postscript need special paths to resources
+case "$type" in
+ "dir")
+ preprefix="../../";;
+ "tex")
+ preprefix=""
+ make_cmd="texi2dvi";;
+esac
+
+# compress html using tar
+if [ $is_html = "yes" ]; then
+ comp_cmd="tar czf"
+ c_ext=".tar.gz"
+fi
+
+# set up special paths for web mode
+if [ $meta_type = "web" ]; then
+ if [ $is_html = "yes" ]; then
+ echo "INFO: Using web mode for $name"
+ prefix="docs/"
+ use_install="install/"
+ else
+ echo "WARNING: Using web mode has no effect for non-html output."
+ fi
+fi
+
+# write pathnames (prefixes) to file
+set_constants "$preprefix$prefix" "$use_install"
+
+outfile="$man_dir$basefile"
+
+###### MAIN ######
+##################
+if [ $type = "texi" ]; then
+ echo "Making compressed manual: $outfile$c_ext..."
+ gzip -f -9 -c $texinfo_src > $outfile$c_ext
+
+else # The normal case
+ echo "Writing manual: $outfile..."
+ $make_cmd $make_opts $outfile $texinfo_src
+
+ # Don't compress anything if in web mode
+ if [ ! $meta_type = "web" ]; then
+ echo "Making compressed manual: ${outfile%\.html}$c_ext..."
+ # tar and gzip have different usages
+ if [ $is_html = "yes" ]; then
+ # Include resources in html tar archives, but not .eps
+ # and remove .html extension for html-one-page
+ $comp_cmd ${outfile%\.html}$c_ext $outfile $resources_dir --exclude=*eps
+ else
+ $comp_cmd $outfile > $outfile$c_ext
+ fi
+ echo "Building index..."
+ build_index # TODO: when building all, do this only once
+ fi
+fi
+
+echo "Done."
diff --git a/resources/scripts/helpers/build/docs/alldocs b/resources/scripts/helpers/build/docs/alldocs
deleted file mode 100755
index 3f82bdc..0000000
--- a/resources/scripts/helpers/build/docs/alldocs
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/bin/sh -e
-#
-# Libreboot documentation build script: alldocs
-#
-# The build script has an 'all' option which doesn't work
-# for docs--the html index needs to be built last.
-#
-
-script_dir="./resources/scripts/helpers/build/docs/"
-build_docs ()
-{
- ${script_dir}$1
- echo
-}
-
-# postscript and dvi are broken; need images in .eps format
-# pdf works at least on Trisquel
-build_docs clean
-build_docs html
-build_docs html-by-section
-build_docs html-one-page
-build_docs info
-build_docs plaintext
-build_docs pdf
-#build_docs postscript
-#build_docs dvi
-build_docs index
-
-
diff --git a/resources/scripts/helpers/build/docs/clean b/resources/scripts/helpers/build/docs/clean
deleted file mode 100755
index c052552..0000000
--- a/resources/scripts/helpers/build/docs/clean
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/sh -e
-
-basedir="docs/manual"
-
-echo "Cleaning $basedir..."
-if [ -d $basedir ]; then rm -Rf $basedir; fi
-echo "Done."
diff --git a/resources/scripts/helpers/build/docs/dvi b/resources/scripts/helpers/build/docs/dvi
index 479b9ce..c6f6fe0 100755
--- a/resources/scripts/helpers/build/docs/dvi
+++ b/resources/scripts/helpers/build/docs/dvi
@@ -1,24 +1,3 @@
#!/bin/sh -e
-#
-# Libreboot documentation build script: dvi
-#
-
-echo "@set docsdir ../" > docs/constants.texi
-
-basedir="docs/manual/"
-outfile="${basedir}libreboot.dvi"
-texinfo_src="docs/libreboot.texi"
-
-[ -d docs/manual ] || mkdir docs/manual
-
-echo "Writing manual: $outfile..."
-# Options: quiet, clean (remove TeX compilation directory)
-# and expand macros using makeinfo
-texi2dvi -q -c -e -o $outfile $texinfo_src
-
-echo "Making $outfile.gz..."
-gzip -f -9 -c $outfile > $outfile.gz
-
-echo "Done."
-
+./build docs .master $0 $@
diff --git a/resources/scripts/helpers/build/docs/html b/resources/scripts/helpers/build/docs/html
index 897143e..c6f6fe0 100755
--- a/resources/scripts/helpers/build/docs/html
+++ b/resources/scripts/helpers/build/docs/html
@@ -1,26 +1,3 @@
#!/bin/sh -e
-#
-# Libreboot documentation build script: html-by-node
-#
-# Note: currently the manual generated by this script does
-# not display images correctly
-#
-# './build docs html' is short for ./build docs html-by-node
-# name the output accordingly for clarity
+./build docs .master $0 $@
-echo "@set docsdir ../../" > docs/constants.texi
-
-basefile="`basename "$0"`-by-node"
-basedir="docs/manual/"
-outdir="${basedir}libreboot_${basefile}"
-texinfo_src="docs/libreboot.texi"
-
-[ -d docs/manual ] || mkdir docs/manual
-
-echo "Writing manual: $outdir..."
-makeinfo --html --no-warn --split=node -o $outdir $texinfo_src
-
-echo "Making $outdir.tar.gz..."
-tar -czf $outdir.tar.gz $outdir
-
-echo "Done."
diff --git a/resources/scripts/helpers/build/docs/html-by-section b/resources/scripts/helpers/build/docs/html-by-section
index 262d7fb..c6f6fe0 100755
--- a/resources/scripts/helpers/build/docs/html-by-section
+++ b/resources/scripts/helpers/build/docs/html-by-section
@@ -1,24 +1,3 @@
#!/bin/sh -e
-#
-# Libreboot documentation build script: html-by-section
-#
-# Note: currently the manual generated by this script does
-# not display images correctly
-#
+./build docs .master $0 $@
-echo "@set docsdir ../../" > docs/constants.texi
-
-basefile=`basename "$0"`
-basedir="docs/manual/"
-outdir="${basedir}libreboot_${basefile}"
-texinfo_src="docs/libreboot.texi"
-
-[ -d docs/manual ] || mkdir docs/manual
-
-echo "Writing manual: $outdir..."
-makeinfo --html --no-warn --split=section -o $outdir $texinfo_src
-
-echo "Making $outdir.tar.gz..."
-tar -czf $outdir.tar.gz $outdir
-
-echo "Done."
diff --git a/resources/scripts/helpers/build/docs/html-one-page b/resources/scripts/helpers/build/docs/html-one-page
index ad3140e..c6f6fe0 100755
--- a/resources/scripts/helpers/build/docs/html-one-page
+++ b/resources/scripts/helpers/build/docs/html-one-page
@@ -1,21 +1,3 @@
#!/bin/sh -e
-#
-# Libreboot documentation build script: html-one-page
-#
+./build docs .master $0 $@
-echo "@set docsdir ../" > docs/constants.texi
-
-basefile=`basename "$0"`
-basedir="docs/manual/"
-outfile="${basedir}libreboot_${basefile}.html"
-texinfo_src="docs/libreboot.texi"
-
-[ -d docs/manual ] || mkdir docs/manual
-
-echo "Writing manual: $outfile..."
-makeinfo --html --no-warn --no-split -o $outfile $texinfo_src
-
-echo "Making $outfile.gz..."
-gzip -f -9 -c $outfile > $outfile.gz
-
-echo "Done."
diff --git a/resources/scripts/helpers/build/docs/index b/resources/scripts/helpers/build/docs/index
deleted file mode 100755
index c8f10bf..0000000
--- a/resources/scripts/helpers/build/docs/index
+++ /dev/null
@@ -1,133 +0,0 @@
-#!/bin/sh -e
-
-# Libreboot documentation build script: index
-#
-# This script borrows from gendocs.sh, part of gnulib, the GNU
-# Portability Library (https://www.gnu.org/software/gnulib/). The
-# objective is to generate a html document which indexes the libreboot
-# documentation in its various formats.
-#
-# This script does not assume a certain set of formats have been
-# generated. It generates the index based on which files are located
-# in $man_dir.
-
-# The relevant portion of gendocs.sh:
-#
-# curdate=`$SETLANG date '+%B %d, %Y'`
-# sed \
-# -e "s!%%TITLE%%!$MANUAL_TITLE!g" \
-# -e "s!%%EMAIL%%!$EMAIL!g" \
-# -e "s!%%PACKAGE%%!$PACKAGE!g" \
-# -e "s!%%DATE%%!$curdate!g" \
-# -e "s!%%HTML_MONO_SIZE%%!$html_mono_size!g" \
-# -e "s!%%HTML_MONO_GZ_SIZE%%!$html_mono_gz_size!g" \
-# -e "s!%%HTML_NODE_TGZ_SIZE%%!$html_node_tgz_size!g" \
-# -e "s!%%HTML_SECTION_TGZ_SIZE%%!$html_section_tgz_size!g" \
-# -e "s!%%HTML_CHAPTER_TGZ_SIZE%%!$html_chapter_tgz_size!g" \
-# -e "s!%%INFO_TGZ_SIZE%%!$info_tgz_size!g" \
-# -e "s!%%DVI_GZ_SIZE%%!$dvi_gz_size!g" \
-# -e "s!%%PDF_SIZE%%!$pdf_size!g" \
-# -e "s!%%ASCII_SIZE%%!$ascii_size!g" \
-# -e "s!%%ASCII_GZ_SIZE%%!$ascii_gz_size!g" \
-# -e "s!%%TEXI_TGZ_SIZE%%!$texi_tgz_size!g" \
-# -e "s!%%DOCBOOK_HTML_NODE_TGZ_SIZE%%!$html_node_db_tgz_size!g" \
-# -e "s!%%DOCBOOK_ASCII_SIZE%%!$docbook_ascii_size!g" \
-# -e "s!%%DOCBOOK_PDF_SIZE%%!$docbook_pdf_size!g" \
-# -e "s!%%DOCBOOK_XML_SIZE%%!$docbook_xml_size!g" \
-# -e "s!%%DOCBOOK_XML_GZ_SIZE%%!$docbook_xml_gz_size!g" \
-# -e "s,%%SCRIPTURL%%,$scripturl,g" \
-# -e "s!%%SCRIPTNAME%%!$prog!g" \
-# -e "$CONDS" \
-# $GENDOCS_TEMPLATE_DIR/gendocs_template >"$outdir/index.html"
-
-# TODO: Implement total size for directories (see e.g.
-# http://www.gnu.org/software/findutils/manual/find.html)
-
-man_dir="docs/manual/"
-template_dir="docs/templates/"
-pkg_title="GNU Libreboot manual"
-pkg_email="example@libreboot.org" #sample
-pkg_name="libreboot"
-curdate=`date '+%B %d, %Y'`
-
-# FUNCTION COPIED FROM gendocs.sh
-# Function to return size of $1 in something resembling kilobytes.
-calcsize()
-{
- size=`ls -ksl $1 | awk '{print $1}'`
- echo $size
-}
-# END FUNCTION COPIED FROM gendocs.sh
-
-concat_index()
-{
- if [ -e $man_dir$1 ]; then
- if [ -d $man_dir$1 ]; then
- echo "<li><a href=\"$1/index.html\">$2</a>$3</li>" >> "${man_dir}index.html"
- else
- echo "<li><a href=\"$1\">$2</a>$3</li>" >> "${man_dir}index.html"
- fi
- fi
-}
-
-echo "Building index..."
-
-sed \
- -e "s!%%TITLE%%!$pkg_title!g" \
- -e "s!%%PACKAGE%%!$pkg_name!g" \
- -e "s!%%DATE%%!$curdate!g" \
-${template_dir}gendocs_template_header >"${man_dir}index.html"
-
-for i in $(ls $man_dir); do
- [ -d $man_dir$i ] || size=`calcsize "${man_dir}${i}"`
- case $i in
- ${pkg_name}.dvi.gz)
- dvi_gz_size=$size;;
- ${pkg_name}_html-by-node.tar.gz)
- html_node_tgz_size=$size;;
- ${pkg_name}_html-by-section.tar.gz)
- html_section_tgz_size=$size;;
- ${pkg_name}_html-one-page.html)
- html_mono_size=$size;;
- ${pkg_name}_html-one-page.html.gz)
- html_mono_gz_size=$size;;
- ${pkg_name}.info.gz)
- info_gz_size=$size;;
- ${pkg_name}.pdf)
- pdf_size=$size;;
- ${pkg_name}.pdf.gz)
- pdf_gz_size=$size;;
- ${pkg_name}.ps)
- ps_size=$size;;
- ${pkg_name}.ps.gz)
- ps_gz_size=$size;;
- ${pkg_name}.txt)
- plaintext_size=$size;;
- ${pkg_name}.txt.gz)
- plaintext_gz_size=$size;;
- ${pkg_name}.texi.gz)
- texinfo_gz_size=$size;;
- *)
- :;; # if a directory, do nothing (see TODO)
- esac
-done
-
-concat_index "${pkg_name}_html-one-page.html" "HTML (${html_mono_size}K bytes)" " - entirely on one web page."
-concat_index "${pkg_name}_html-by-node" "HTML" " - with one web page per node."
-concat_index "${pkg_name}_html-by-section" "HTML" " - with one web page per section."
-concat_index "${pkg_name}_html-one-page.html.gz" "HTML compressed (${html_mono_gz_size}K gzipped characters)" " - entirely on one web page."
-concat_index "${pkg_name}_html-by-node.tar.gz" "HTML (${html_node_tgz_size}K gzipped tar file)" " - with one web page per node."
-concat_index "${pkg_name}_html-by-section.tar.gz" "HTML (${html_section_tgz_size}K gzipped tar file)" " - with one web page per section."
-concat_index "${pkg_name}.info.gz" "Info document (${info_gz_size}K bytes gzipped)."
-concat_index "${pkg_name}.txt" "ASCII text (${plaintext_size}K bytes)."
-concat_index "${pkg_name}.txt.gz" "ASCII text (${plaintext_gz_size}K bytes gzipped)."
-concat_index "${pkg_name}.dvi.gz" "TeX dvi file (${dvi_gz_size}K bytes gzipped)."
-concat_index "${pkg_name}.pdf" "PDF file (${pdf_size}K bytes)."
-concat_index "${pkg_name}.pdf.gz" "PDF file compressed (${pdf_gz_size}K bytes gzipped)."
-concat_index "${pkg_name}.ps" "Postscript file (${ps_size}K bytes)."
-concat_index "${pkg_name}.ps.gz" "Postscript file compressed (${ps_gz_size}K bytes gzipped)."
-concat_index "${pkg_name}.texi.gz" "Texinfo source (${texinfo_gz_size}K bytes gzipped)."
-
-sed -e "s!%%EMAIL%%!$pkg_email!g" ${template_dir}gendocs_template_footer >>"$man_dir/index.html"
-
-echo "Done."
diff --git a/resources/scripts/helpers/build/docs/info b/resources/scripts/helpers/build/docs/info
index 8a0031a..c6f6fe0 100755
--- a/resources/scripts/helpers/build/docs/info
+++ b/resources/scripts/helpers/build/docs/info
@@ -1,23 +1,3 @@
#!/bin/sh -e
-#
-# Libreboot documentation build script: info
-#
+./build docs .master $0 $@
-echo "@set docsdir ../" > docs/constants.texi
-
-basedir="docs/manual/"
-outfile="${basedir}libreboot.info"
-texinfo_src="docs/libreboot.texi"
-
-[ -d docs/manual ] || mkdir docs/manual
-
-echo "Writing manual: $outfile..."
-makeinfo --no-warn --no-split -o $outfile $texinfo_src
-
-echo "Making $outfile.gz..."
-gzip -f -9 -c $outfile > $outfile.gz
-
-echo "Removing $outfile..."
-rm -f $outfile
-
-echo "Done."
diff --git a/resources/scripts/helpers/build/docs/pdf b/resources/scripts/helpers/build/docs/pdf
index b380478..c6f6fe0 100755
--- a/resources/scripts/helpers/build/docs/pdf
+++ b/resources/scripts/helpers/build/docs/pdf
@@ -1,23 +1,3 @@
#!/bin/sh -e
-#
-# Libreboot documentation build script: pdf
-#
-
-echo "@set docsdir " > docs/constants.texi
-
-basedir="docs/manual/"
-outfile="${basedir}libreboot.pdf"
-texinfo_src="docs/libreboot.texi"
-
-[ -d docs/manual ] || mkdir docs/manual
-
-echo "Writing manual: $outfile..."
-# Options: quiet, clean (remove TeX compilation directory)
-# and expand macros using makeinfo
-texi2dvi -q -c -e -p -o $outfile $texinfo_src
-
-echo "Making $outfile.gz..."
-gzip -f -9 -c $outfile > $outfile.gz
-
-echo "Done."
+./build docs .master $0 $@
diff --git a/resources/scripts/helpers/build/docs/plaintext b/resources/scripts/helpers/build/docs/plaintext
index a8eef6c..c6f6fe0 100755
--- a/resources/scripts/helpers/build/docs/plaintext
+++ b/resources/scripts/helpers/build/docs/plaintext
@@ -1,20 +1,3 @@
#!/bin/sh -e
-#
-# Libreboot documentation build script: plaintext
-#
+./build docs .master $0 $@
-echo "@set docsdir ../" > docs/constants.texi
-
-basedir="docs/manual/"
-outfile="${basedir}libreboot.txt"
-texinfo_src="docs/libreboot.texi"
-
-[ -d docs/manual ] || mkdir docs/manual
-
-echo "Writing manual: $outfile..."
-makeinfo --no-warn --no-split --plaintext -o $outfile $texinfo_src
-
-echo "Making $outfile.gz..."
-gzip -f -9 -c $outfile > $outfile.gz
-
-echo "Done."
diff --git a/resources/scripts/helpers/build/docs/postscript b/resources/scripts/helpers/build/docs/postscript
index 896c54b..c6f6fe0 100755
--- a/resources/scripts/helpers/build/docs/postscript
+++ b/resources/scripts/helpers/build/docs/postscript
@@ -1,22 +1,3 @@
#!/bin/sh -e
-#
-# Libreboot documentation build script: postscript
-#
+./build docs .master $0 $@
-echo "@set docsdir ../" > docs/constants.texi
-
-basedir="docs/manual/"
-outfile="${basedir}libreboot.ps"
-texinfo_src="docs/libreboot.texi"
-
-[ -d docs/manual ] || mkdir docs/manual
-
-echo "Writing manual: $outfile..."
-# Options: quiet, clean (remove TeX compilation directory)
-# and expand macros using makeinfo
-texi2dvi -q -c -e --ps -o $outfile $texinfo_src
-
-echo "Making $outfile.gz..."
-gzip -f -9 -c $outfile > $outfile.gz
-
-echo "Done."
diff --git a/resources/scripts/helpers/build/docs/texinfo-gz b/resources/scripts/helpers/build/docs/texinfo-gz
index 7998c33..c6f6fe0 100755
--- a/resources/scripts/helpers/build/docs/texinfo-gz
+++ b/resources/scripts/helpers/build/docs/texinfo-gz
@@ -1,15 +1,3 @@
#!/bin/sh -e
-#
-# Libreboot documentation build script: texinfo-gz
-#
+./build docs .master $0 $@
-basedir="docs/manual/"
-outfile="${basedir}libreboot.texi.gz"
-texinfo_src="docs/libreboot.texi"
-
-[ -d docs/manual ] || mkdir docs/manual
-
-echo "Making $outfile..."
-gzip -f -9 -c $texinfo_src > $outfile
-
-echo "Done."